game.queryList
This interface is implemented by the platform application (APP) server and called by the SUD OpenPaaS server.
Query the online game list (paginated). Aligned with ThirdPartyPlatformGameInfo core fields; reference: helloOP GET /developer/game/list.
Invocation method:
- HTTPS call
HTTPS Call
http
POST {query_game_list_webhook}Request Parameters - Header
| Property | Type | Default | Required | Description |
|---|---|---|---|---|
| Authorization | string | Yes | Format: Bearer {access_token} |
Request Parameters - Body
| Property | Type | Default | Required | Description |
|---|---|---|---|---|
| page_no | int | 1 | No | Page number, starting from 1 |
| page_size | int | 20 | No | Page size |
Return Value
Object
Returned JSON packet
| Property | Type | Description |
|---|---|---|
| ret_code | integer | 0 success, non-zero failure |
| ret_msg | string | "success" or error reason |
| data | object | Business body (when ret_code=0; empty list is []) |
| data.list | array | Game list |
| data.list[].bundle_id | string | Package name (key for detail / KYC / ICP pull) |
| data.list[].name | string | Game name |
| data.list[].version | string | Latest version |
| data.total | long | Total count |
| data.page_no | integer | Current page |
| data.page_size | integer | Page size |
| timestamp | long | Millisecond timestamp |
Valid values of ret_code
| Value | Description | Min version |
|---|---|---|
| 0 | Success | |
| 40001 | invalid access_token |
cURL Request
bash
curl -X POST \
{query_game_list_webhook} \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json; charset=utf-8' \
-d '{
"page_no": 1,
"page_size": 20
}'Success Response
json
{
"ret_code": 0,
"ret_msg": "success",
"data": {
"list": [
{
"bundle_id": "com.example.game.demo",
"name": "Demo Game",
"version": "1.0.0"
}
],
"total": 1,
"page_no": 1,
"page_size": 20
},
"timestamp": 1719820800000
}Error Response
json
{
"ret_code": 40001,
"ret_msg": "invalid access_token"
}